/**********************************************************************
 
	Copyright (C) 2003 Hirohisa MORI <joshua@nichibun.ac.jp>
 
	This program is free software; you can redistribute it 
	and/or modify it under the terms of the GLOBALBASE 
	Library General Public License (G-LGPL) as published by 

	http://www.globalbase.org/
 
	This program is distributed in the hope that it will be 
	useful, but WITHOUT ANY WARRANTY; without even the 
	implied warranty of MERCHANTABILITY or FITNESS FOR A 
	PARTICULAR PURPOSE.

**********************************************************************/



#ifndef ___COMPLEX_H___
#define ___COMPLEX_H___

typedef struct {
	double	im;
	double	re;
} COMPLEX;

COMPLEX addc(COMPLEX,COMPLEX);
COMPLEX subc(COMPLEX,COMPLEX);
COMPLEX mulc(COMPLEX,COMPLEX);
COMPLEX minus(COMPLEX);
COMPLEX * fastft(COMPLEX*,int);
COMPLEX * fastdft(COMPLEX*,int);

#endif

